function newLevel(hasLevel)
{
clientMessage("You are superman. You must fight evil mobs and protect the good ones.")
clientMessage("Your powers are already active. You can fly, super punch things as you wish, and you have lots of health.")
clientMessage("[Superman] Mod beta by KamariTM and Silent Miner-GFX")
Player.setCanFly(true)
Player.setHealth(32767)
}

ModPE.setItem(500, "blaze_rod", 0, "Krypton Blade");

function attackHook(attacker, victim)
{

if(Player.getCarriedItem() == 500)
{

var dmg = 999999999999999999999;

Entity.setHealth(victim, Entity.getHealth(victim) - dmg);

}

}

function useItem(x,y,z, itemId)
{
if (itemId == 0)
{
explode(x,y,z, 3)
    }
if (itemId == 280)
{
var superman = Level.spawnMob(x,y + 1,z,11, "mob/superman.png")
Entity.setRenderType(superman, 3)
Entity.setHealth(superman, 9999999999999999)
clientMessage("<Superman> Hello citizen. Don't be alarmed. I am here to protect!")
   }
}
function onLeave()
{
print("<SuperMan> Farewell citizen.")
}

